package com.unibuy.smartdevice.structure;

public class GreenpaySettingStructure {
    private String appId;
    private String appKey;
    private String partnerKey;
    private String ctbcMerchantId;
    private String ncccMerchantId;
    private String taishinMerchantId;
    private String esunMerchantId;
    private String gpuseMerchantId;

    public GreenpaySettingStructure(String appId, String appKey, String partnerKey, String ctbcMerchantId, String ncccMerchantId, String taishinMerchantId, String esunMerchantId, String gpuseMerchantId) {
        this.appId = appId;
        this.appKey = appKey;
        this.partnerKey = partnerKey;
        this.ctbcMerchantId = ctbcMerchantId;
        this.ncccMerchantId = ncccMerchantId;
        this.taishinMerchantId = taishinMerchantId;
        this.esunMerchantId = esunMerchantId;
        this.gpuseMerchantId = gpuseMerchantId;
    }

    public String getAppId() {
        return appId;
    }

    public String getAppKey() {
        return appKey;
    }

    public String getPartnerKey() {
        return partnerKey;
    }

    public String getCtbcMerchantId() {
        return ctbcMerchantId;
    }

    public String getNcccMerchantId() {
        return ncccMerchantId;
    }

    public String getTaishinMerchantId() {
        return taishinMerchantId;
    }

    public String getEsunMerchantId() {
        return esunMerchantId;
    }

    public String getGpuseMerchantId() {
        return gpuseMerchantId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public void setPartnerKey(String partnerKey) {
        this.partnerKey = partnerKey;
    }

    public void setCtbcMerchantId(String ctbcMerchantId) {
        this.ctbcMerchantId = ctbcMerchantId;
    }

    public void setNcccMerchantId(String ncccMerchantId) {
        this.ncccMerchantId = ncccMerchantId;
    }

    public void setTaishinMerchantId(String taishinMerchantId) {
        this.taishinMerchantId = taishinMerchantId;
    }

    public void setEsunMerchantId(String esunMerchantId) {
        this.esunMerchantId = esunMerchantId;
    }

    public void setGpuseMerchantId(String gpuseMerchantId) {
        this.gpuseMerchantId = gpuseMerchantId;
    }
}
